corda / net.corda.core.crypto / CompositeKey / Leaf

# Leaf

`class Leaf : CompositeKey`

The leaf node of the tree – a wrapper around a PublicKey primitive

### Constructors

<init> | `Leaf(publicKey: PublicKey)` The leaf node of the tree – a wrapper around a PublicKey primitive

### Properties

keys | `val keys: Set<PublicKey>` Returns all PublicKeys contained within the tree leaves
publicKey | `val publicKey: PublicKey`

### Inherited Properties

singleKey | `val singleKey: PublicKey` Returns the enclosed PublicKey for a CompositeKey with a single leaf node

### Functions

equals | `fun equals(other: Any?): Boolean`
hashCode | `fun hashCode(): Int`
isFulfilledBy | `fun isFulfilledBy(keys: Iterable<PublicKey>): Boolean` Checks whether keys match a sufficient amount of leaf nodes
toString | `fun toString(): String`

### Inherited Functions

containsAny | `fun containsAny(otherKeys: Iterable<PublicKey>): Boolean` Checks whether any of the given keys matches a leaf on the tree
isFulfilledBy | `fun isFulfilledBy(key: PublicKey): Boolean`
toBase58String | `fun toBase58String(): String` This is generated by serializing the composite key with Kryo, and encoding the resulting bytes in base58. A custom serialization format is being used.